# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA1.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define module_name Razor2-Client-Agent
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.86
Release: alt2
Summary: Collaborative, content-based spam filtering network agent.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TODDR/%{module_name}-%{version}.tar.gz

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Through user contribution, Razor establishes a
distributed and constantly updating catalogue of spam in propagation that
is consulted by email clients to filter out known spam. Detection is done
with statistical and randomized signatures that efficiently spot mutating
spam content. User input is validated through reputation assignments based
on consensus on report and revoke assertions which in turn is used for
computing confidence values associated with individual signatures.

Vipul's Razor v2 agent software is available from project's homepage at
http://razor.sf.net. Razor Agents are written in Perl and will work on
most Unix operating systems and others OSes for which perl is available.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc FAQ LICENSE Changes BUGS README.md CREDITS docs
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man5dir/*
%_man1dir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.86-alt2
- rebuild with perl 5.38

* Sat Jan 22 2022 Igor Vlasenko <viy@altlinux.org> 2.86-alt1
- initial import by package builder

